gnutls_privkey_import_url(3)

NAME
gnutls_privkey_import_url - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_url(gnutls_privkey_t key, const char * url, unsigned int flags);

ARGUMENTS

gnutls_privkey_t key
    A key of type gnutls_privkey_t

const char * url
    A PKCS 11 url

unsigned int flags
    should be zero

DESCRIPTION
This function will import a PKCS11 or TPM URL as a private key. The supported URL types can be checked using gnutls_url_is_supported().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/